#ifndef __INCLUDED_rname_h
#define __INCLUDED_rname_h

/*
 * Copyright (c) 2000 Peter Pentchev
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

#ifndef __UNUS
#ifdef __GNUC__
#define __UNUS	__attribute__((unused))
#else
#define __UNUS
#endif /* __GNUC__ */
#endif /* __UNUS */

#ifndef RDBG
#ifdef EBUG
#define RDBG(x)         if (quiet < 2) { printf x; }
#else /* !EBUG */
#define RDBG(x)
#endif /* EBUG */
#endif /* RDBG */

#ifndef RINF
#define RINF(x)         printf x;
#endif /* RINF */

static char rname_h_cvs_id[] __UNUS = "$Id: rname.h,v 1.3 2000/11/10 14:31:44 roam Exp $";

/* * *		Definitions		* * */

typedef enum {
  RN_ERR_NONE,
  RN_ERR_NOMEM, RN_ERR_CMDLINE,
  RN_ERR_EXEC,
  RN_ERR_INT,
  RN_ERR_LAST
} rn_err_t;

#define RN_OPTSTR	"hqvV"

/* * *		Variables		* * */

extern int	verbose, quiet;
extern char	rn_verstr[];

/* * *		Functions		* * */

rn_err_t	rn_init(int argc, char **argv);
rn_err_t	rn_help(void);
rn_err_t	rn_version(void);

int		rn_main(int argc, char **argv);

#endif /* __INCLUDED_rname_h */
